#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	websocket-client
Summary:	WebSocket client for Python
Name:		python-%{module}
Version:	0.54.0
Release:	3
License:	BSD
Group:		Development/Libraries
Source0:	https://pypi.python.org/packages/source/w/websocket-client/websocket_client-%{version}.tar.gz
# Source0-md5:	386d62d389cdc811fb85ed571924f0ae
URL:		https://pypi.python.org/pypi/websocket-client
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
%if %{with python2}
BuildRequires:	python
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-backports-ssl_match_hostname
BuildRequires:	python-six
%endif
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-six
%endif
%endif
Requires:	python-six
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
python-websocket-client module is WebSocket client for Python. This
provides the low level APIs for WebSocket. All APIs are the
synchronous functions.

python-websocket-client supports only hybi-13.

%package -n python3-websocket-client
Summary:	WebSocket client for python
Group:		Development/Libraries
Requires:	python3-six

%description -n python3-websocket-client
python-websocket-client module is WebSocket client for Python. This
provides the low level APIs for WebSocket. All APIs are the
synchronous functions.

python-websocket-client supports only hybi-13.

%prep
%setup -q -n websocket_client-%{version}

%build
%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with python2}
%py_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python3}
%py3_install

mv $RPM_BUILD_ROOT%{_bindir}/{wsdump.py,wsdump-%{py3_ver}}

# remove tests that got installed into the buildroot
rm -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/websocket/tests
%endif

%if %{with python2}
%py_install
%py_postclean

mv $RPM_BUILD_ROOT%{_bindir}/{wsdump.py,wsdump-%{py_ver}}

# remove tests that got installed into the buildroot
rm -r $RPM_BUILD_ROOT%{py_sitescriptdir}/websocket/tests
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%attr(755,root,root) %{_bindir}/wsdump-%{py_ver}
%dir %{py_sitescriptdir}/websocket
%{py_sitescriptdir}/websocket/*.py[co]
%{py_sitescriptdir}/websocket_client-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-websocket-client
%defattr(644,root,root,755)
%doc README.rst LICENSE
%attr(755,root,root) %{_bindir}/wsdump-%{py3_ver}
%dir %{py3_sitescriptdir}/websocket
%{py3_sitescriptdir}/websocket/*.py
%{py3_sitescriptdir}/websocket/__pycache__
%{py3_sitescriptdir}/websocket_client-%{version}-py*.egg-info
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-websocket-client.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c00b718
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 6191672
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Dec 02 2018 Adam Gołębiowski <adamg@pld-linux.org> fee2aed
- updated to 0.54.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7a7de94
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f22fd7f
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 5a7dccc
- BR python-backports-ssl_match_hostname for tests

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> 00f53e8
- up to 0.35.0

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> d013cb6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 72a3bb8
- semi-automatic change: use py_build/py_install macros

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 2b93a7e
- fix tests bcond

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> a395e9a
- new, version 0.14.1

